import languagecolors from './languagecolors'

export default async function getLanguages(owner: string, repo: string) {
	const languages = (await fetch(
		`https://git.nin0.dev/api/v1/repos/${encodeURIComponent(owner)}/${encodeURIComponent(repo)}/languages`
	).then(response => response.json())) as { [key: string]: number }
	let sum = 0
	const values = Object.values(languages)
	for (const value of values) {
		sum += value
	}
	return Object.keys(languages).map(language => {
		return {
			color: languagecolors[language],
			percentage: (languages[language] / sum) * 100
		}
	})
}
