import type { Owner } from '$lib/types/forgejo.js'

export async function load({ params }) {
	const [owner, reposCount] = await Promise.all([
		fetch(
			`https://git.nin0.dev/api/v1/users/${encodeURIComponent(params.owner)}`
		).then(response => response.json()) as Promise<Owner>,
		fetch(
			`https://git.nin0.dev/api/v1/users/${encodeURIComponent(params.owner)}/repos`
		).then(response => response.headers.get('x-total-count')) as Promise<string>
	])
	owner.repos_count = parseInt(reposCount)
	return {
		owner,
		icon: owner.avatar_url
	}
}
