import getLanguages from '$lib/getLanguages.js'

export async function load({ params }) {
	const [repo, languages] = await Promise.all([
		fetch(
			`https://git.nin0.dev/api/v1/repos/${encodeURIComponent(params.owner)}/${encodeURIComponent(params.repo)}`
		).then(response => response.json()),
		getLanguages(params.owner, params.repo)
	])
	return {
		icon: repo.avatar_url || repo.owner.avatar_url,
		repo,
		languages
	}
}
